#!/bin/bash
# Otestuje jestli server poslouchajici na nfs.duX.cesnet.cz je dostupny, a pokud ano, vyrobit tiket z keytabu a pripoji NFS
# Pred spustenim je nutne mit pro danou lokaci spravny zaznam v /etc/fstab:
# nfs.duX.cesnet.cz:/ /storage/cesnet-duX   nfs4   sec=krb5,rsize=1048576,wsize=1048576   0 0

# Specifikuje pouzite datacentrum
# 1 - Plzen
# 2 - Jihlava
# 3 - Brno
# 4 - Ostrava
LOC=2

PACKETS=$((`ping -nqc 3 nfs.du${LOC}.cesnet.cz | grep "packet loss" | cut -d "," -f 2 | cut -d " " -f 2`))
if [[ $PACKETS != 3 ]]; then
        exit 1
fi

mount | grep -q nfs.du$LOC.cesnet.cz
ismounted=$?

if [[ $ismounted = 0 ]]; then
        touch /tmp/bacula-nfs-was-mounted
else
        kinit nfs/LOGIN@EINFRA -k -t /etc/krb5.keytab_bacula
        keytab=`klist | grep "Default principal" | cut -d " " -f3`

        if [[ $keytab != "nfs/LOGIN@EINFRA" ]]; then
                exit 3
        fi
        sudo mount /storage/cesnet-du$LOC
        mount=$?
        if [[ $mount != 0 ]]; then
                exit $mount
        fi
fi
